<h1 style="margin: 20px 0px 0px 40px">Empleados</h1>

<mat-card style="margin: 20px 40px 40px 40px">

    <mat-card-title>
        <button mat-raised-button color="primary" (click)="agregarEmpleado()">
            <mat-icon mat-list-icon>add</mat-icon> Agregar un Empleado
        </button>
    </mat-card-title>
    <mat-divider></mat-divider>

    <mat-card-content class="dashboard-card-content">
        <mat-form-field appearance="standard">
            <mat-label>Buscar</mat-label>
            <input matInput (keyup)="aplicarFiltroTabla($event)" #input>
        </mat-form-field>
        <div class="mat-elevation-z2"  *ngIf="dataListaEmpleados">
            <table mat-table [dataSource]="dataListaEmpleados">
                <ng-container matColumnDef="numero">
                    <th mat-header-cell *matHeaderCellDef> Número  </th>
                    <td mat-cell *matCellDef="let empleado">{{empleado.numero}}</td>
                </ng-container>
                <ng-container matColumnDef="nombreCompleto">
                    <th mat-header-cell *matHeaderCellDef> Nombre Completo  </th>
                    <td mat-cell *matCellDef="let empleado">{{empleado.nombreCompleto}}</td>
                </ng-container>
                <ng-container matColumnDef="idRol">
                    <th mat-header-cell *matHeaderCellDef> IdRol  </th>
                    <td mat-cell *matCellDef="let empleado">{{empleado.idRol}}</td>
                </ng-container>
                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef style="width: 80px;"> Acciones </th>
                    <td mat-cell *matCellDef="let empleado">
                        <div class="button-container">
                            <button mat-icon-button color="primary" class="rounded-floating-button" (click)="edit(empleado)">
                                <mat-icon>edit</mat-icon>
                            </button>
                            <button mat-icon-button color="warn" class="rounded-floating-button" (click)="remove(empleado.idEmpleado)">
                                <mat-icon>delete</mat-icon>
                            </button>
                        </div>
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="columnasTabla"></tr>
                <tr mat-row *matRowDef="let row; columns: columnasTabla;"></tr>

                <tr class="mat-row" *matNoDataRow>
                    <td class="mat-cell" colspan="4">No hay datos que coincidan con el filtro "{{input.value}}"</td>
                </tr>
 

            </table>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons>
            </mat-paginator>
        </div>

    </mat-card-content>

</mat-card>

